# Interface ConfigLoadOptions

interface ConfigLoadOptions {
fromLocalStorage?: boolean;
fromUrlParam?: string | boolean;
schema?: AnySchema;
static?: Record<string, any>;
url?: string | string[] | ((environment) => string | string[]);
}

- Defined in lib/config.service.ts:17

#####
Index

### Properties

fromLocalStorage?
fromUrlParam?
schema?
static?
url?

## Properties

### `Optional` fromLocalStorage

fromLocalStorage?: boolean

- Defined in lib/config.service.ts:19

### `Optional` fromUrlParam

fromUrlParam?: string | boolean

- Defined in lib/config.service.ts:18

### `Optional` schema

schema?: AnySchema

- Defined in lib/config.service.ts:20

### `Optional` static

static?: Record<string, any>

static config values

- Defined in lib/config.service.ts:25

### `Optional` url

url?: string | string[] | ((environment) => string | string[])

#### Type declaration

- - (environment): string | string[]

  - #### Parameters

    - environment: Environment

    #### Returns string | string[]

- Defined in lib/config.service.ts:21